@ECHO OFF
@REM /*******************************************************************************
@REM * Licensed Materials - Property of IBM
@REM * (c) Copyright IBM Corporation 2008-2009. All Rights Reserved.
@REM * 
@REM * Note to U.S. Government Users Restricted Rights:
@REM * Use, duplication or disclosure restricted by GSA ADP Schedule
@REM * Contract with IBM Corp. 
@REM *******************************************************************************


SET EXITCODE=0

IF NOT EXIST CreateReportView.jar   (
                           SET EXITCODE=4597 
                           @ECHO %JAR_NOT_FOUND% CreateReportView.jar
                           GOTO done
                                    ) 
IF NOT EXIST ../cognos/webapps/p2pd/WEB-INF/lib/axis.jar   (
                           SET EXITCODE=4597 
                           @ECHO %JAR_NOT_FOUND% axis.jar
                           GOTO done
                                    )
IF NOT EXIST ../cognos/webapps/p2pd/WEB-INF/lib/jaxrpc.jar   (
                           SET EXITCODE=4597 
                           GOTO done
                                    )
IF NOT EXIST ../cognos/webapps/p2pd/WEB-INF/lib/commons-logging.jar   (
                           SET EXITCODE=4597 
                           @ECHO %JAR_NOT_FOUND% commons-logging.jar
                           GOTO done
                                    )
IF NOT EXIST ../cognos/webapps/p2pd/WEB-INF/lib/commons-discovery.jar   (
                           SET EXITCODE=4597 
                           @ECHO %JAR_NOT_FOUND% commons-discovery.jar
                           GOTO done
                                    )
IF NOT EXIST ../cognos/webapps/p2pd/WEB-INF/lib/saaj.jar   (
                           SET EXITCODE=4597 
                           @ECHO %JAR_NOT_FOUND% saaj.jar
                           GOTO done
                                    )
IF NOT EXIST ../cognos/webapps/p2pd/WEB-INF/lib/axisCrnpClient.jar   (
                           SET EXITCODE=4597 
                           @ECHO %JAR_NOT_FOUND% axisCrnpClient.jar
                           GOTO done
                                    )

@REM Set classpath
@SET CLASSPATH=./CreateReportView.jar;../cognos/webapps/p2pd/WEB-INF/lib/axis.jar;../cognos/webapps/p2pd/WEB-INF/lib/jaxrpc.jar;../cognos/webapps/p2pd/WEB-INF/lib/commons-logging.jar;../cognos/webapps/p2pd/WEB-INF/lib/commons-discovery.jar;../cognos/webapps/p2pd/WEB-INF/lib/saaj.jar;../cognos/webapps/p2pd/WEB-INF/lib/axisCrnpClient.jar

..\AppServer\java\jre\bin\java CreateReportView

:done 
EXIT /B %EXITCODE%